aCGH.test {aCGH} | R Documentation

## Testing association of aCGH clones with censored or continuous outcomes

### Description

`aCGH.test` function tests for association of each clone in an univariate manner with censored or continous outcome by fitting Cox proportional hazards model or linear regression model. There is also an alternative to Cox prop. hazards - testing for differences in survival curves defined by the groups in the outcome variable using the G^rho family of tests.

### Usage

    aCGH.test(aCGH.obj, rsp, test = c("survdiff","coxph",
              "linear.regression"), p.adjust.method = "fdr",imputed=TRUE,
               subset = NULL, strt = NULL, ...)

### Arguments

`aCGH.obj` | aCGH object containing clones' log2 ratios.
`rsp` | Response variable which is either `Surv` object from `survival` package or continous outcome.
`test` | Currently only three values are allowed - "coxph", "survdiff", and "linear.regression", which test for association using Cox proportional hazards model, G^rho family of tests (`survdiff`) or linear model.
`p.adjust.method` | This is a parameter controlling how the p-values from the univariate tests are going to be adjusted for multiple testing. Default value is Benjamini & Hochberg (1995) FDR method. Please refer to `p.adjust` function for more help.
`imputed` | Whether imputed or original log2ratios should be used. Default is TRUE (imputed).
`subset` | Specifies subset index of clones to be tested.
`strt` | Aptional strata variable for splitting the data in different strata.
`...` | Optional parameters passed further along to each of the univariate testing functions.

### Value

A data frame similar to the result returned from `mt.maxT` function from `multtest` package with components:

`index` | Vector of row indices, between 1 and `nrow(X)`, where rows are sorted first according to their adjusted p-values, next their unadjusted p-values, and finally their test statistics.
`teststat` | Vector of test statistics, ordered according to `index`. To get the test statistics in the original data order, use `teststat[order(index)]`.
`rawp` | Vector of raw (unadjusted) p-values, ordered according to `index`.
`adjp` | Vector of adjusted p-values, ordered according to `index`.

### Author(s)

Peter Dimitrov

### See Also

`aCGH`, `Surv`, `mt.maxT`, `coxph`, `survdiff`, `p.adjust`

[Package aCGH version 1.16.0 Index]